package cn.pluss.platform.controller.home;

import cn.pluss.platform.util.ParametersUtil;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 因客户端错误的代码，添加的额外接口，临时使用
 */
@Controller
public class ExtraController {

    /**
     * @TODO 下个版本安卓修改后，该接口需要删除
     */
    @GetMapping(value = "/wap/merchant/toUpGradeAuth")
    public void toUpGradeAuth(String userId, HttpServletResponse response) {
        String domain_wap = ParametersUtil.domain + "/wap";
        try {
            response.sendRedirect(domain_wap + "/merchant/toUpGradeAuth?userAppId=" + userId);
        } catch (IOException e) {
        }
    }
}
